SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# xslt:system-property

Function signature

$propertyName | xs:string
Result | xs:string

Returns the value of a system property

XSLT 2.0 Specification

Note:In the Saxon implementation, if the argument is a name in no namespace, that is, if the name is unprefixed, then the name is taken to refer to a Java system property, and the value of that property is returned if it exists. For example, on a Windows platform, system-property('file.separator') returns "\". This can be used to obtain information from the environment, and is especially useful in conjunction with use-when conditional compilation.

Next